#!/bin/sh
. ./common.sh
set -e
version="$1"
container="debian_${version}"


debian_install(){
    buildah run --user _apt --workdir /tmp "$1" curl -o package.deb "$2"
    buildah run --user 0:0 "$1" apt install /tmp/package.deb
}


init_container "$container" "docker.io/debian:${version}"
debian_list=$(mktemp)
sed "s;VERSION;${version};g" repos/debian.list >"$debian_list"
buildah run --user 0:0 "$container" apt update
buildah run --user 0:0 "$container" apt install -y ca-certificates
buildah copy  "$container" "$debian_list" /etc/apt/sources.list.d/eigene.list
buildah run --user 0:0 "$container" apt update
buildah run --user 0:0 "$container" apt install -y build-essential nodejs git
commit "$container" "oci:debian:${version}"
